### Method

# FwupdPlugin SecurityAttrs compare

since: 1.9.2

#### Declaration [src]

    GPtrArray*
    fu_security_attrs_compare (
      FuSecurityAttrs* attrs1,
      FuSecurityAttrs* attrs2
    )

#### Description [src]

Compares the two objects, returning the differences.

If the two sets of attrs are considered the same then an empty array is returned. Only the AppStream ID results are compared, extra metadata is ignored.

Available since: 1.9.2

#### Parameters

`attrs2`

  Type: `FuSecurityAttrs`

  Another `FuSecurityAttrs`, perhaps newer in some way.

  The data is owned by the caller of the method.

#### Return value

Type: An array of `None`

Differences.

The caller of the method takes ownership of the returned data container, but not the data inside it.